/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { PublicationAdvisoryServiceDto } from './publication-advisory-service-dto';

/**
 * Represents a data transfer object (DTO) for an organization, including its ROR (Research Organization Registry) ID, display name, and email address.
 * @export
 * @interface OrganizationDto
 */
export interface OrganizationDto {
    /**
     * The ROR (Research Organization Registry) ID of the organization.
     * @type {string}
     * @memberof OrganizationDto
     */
    'uri': string;
    /**
     * The display name of the organization.
     * @type {string}
     * @memberof OrganizationDto
     */
    'displayName': string;
    /**
     * The email address of the organization.
     * @type {string}
     * @memberof OrganizationDto
     */
    'email'?: string | null;
    /**
     * 
     * @type {PublicationAdvisoryServiceDto}
     * @memberof OrganizationDto
     */
    'publicationAdvisoryService'?: PublicationAdvisoryServiceDto;
}

